/****************
    MAIN
****************/
html {
  scroll-behavior: smooth;
}

* {
  font-family: "Lato", sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-user-drag: none;
  user-select: none;
}
/****************
    NAVBAR
****************/
nav {
  background-color: #111;
  color: #fff;
  
}
nav.sticky {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
}

.navTop {
  padding: 15px 50px;
}

.navTop {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navItem:nth-child(2) {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0 20px;
}

.navItem > i,
.navItem a i{
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #1d1e1e;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  cursor: pointer; 
  transition: background-color 0.5s;
}

.navItem > i:hover,
.navItem a i:hover {
  background-color: rgba(29, 30, 30, 0.5);
}
/****************
    SLIDER
****************/
.slider {
  background-color: #1d1e1e;
  background-image: url("./img/bg-2.webp");
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  overflow-x: hidden;
  height: 90vh;
}

.prev, .next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: transparent;
  font-size: 25px;
  color: #8c8c94;
  border: none;
  padding: 10px;
  cursor: pointer;
  z-index: 9;
}

.prev {
  left: 10px;
}

.next {
  right: 10px;
}

.sliderWrapper {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.sliderItem {
  min-width: 100%;
  box-sizing: border-box;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding-top: 40px;
}


.sliderImg {
  width: auto;
  height: 550px;
}

.sliderTitle {
  font-size: 60px;
  font-weight: 900;
  color: #fff;
  z-index: 1;
}

.sliderPrice {
  font-size: 40px;
  font-weight: 900;
  color: #fff;
  margin: 10px 0;
  border-bottom: 2px solid #55f2b7;
  width: fit-content;
}

.buyButton {
  outline: none;
  border: none;
  padding: 10px 25px;
  border-radius: 2px;
  cursor: pointer;
  background-color: #55f2b7;
  border: 1px solid #55f2b7;
  transition: background-color 0.5s, color 0.5s;
}

.buyButton:hover {
  background-color: transparent;
  color: #55f2b7;
}
/****************
    FEATURES
****************/
.features {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 50px;
  background: #1d1e1e;
  color: #fff;
}

.feature {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  cursor: pointer;
  border: 1px solid transparent;
  transition: border 0.5s, background-color 0.5s;
  padding: 10px;
  border-radius: 2px;
}

.feature:hover {
  border-color: rgba(85, 242, 183, 0.2);
  background-color: rgba(255, 255, 255, 0.02);
}

.featureIcon {
  width: 50px;
  height: 50px;
}

.featureTitle {
  font-style: 20px;
  font-weight: 600;
  margin: 10px;
}

.featureDesc {
  color: #8c8c94;
  width: 70%;
}
/****************
    PRODUCTS
****************/
.AllProductSection {
  background-color: #181818;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 50px 0 0 0;
}

.search {
  align-self: flex-start;
  margin-left: 20px;
  z-index: 99;
  width: 350px;
  height: 60px;
  background-color: #1d1e1e;
  border-radius: 5px;
  overflow: hidden;
}

.search #searchInput {
  border: none;
  outline: none;
  background-color: transparent;
  color: #fff;
  width: 100%;
  height: 100%;
  padding: 10px;
}

.search #searchInput::placeholder {
  color: #8c8c94;
}

.products {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding: 40px 0px;
  gap: 20px;
  justify-items: center;
  align-items: center;
}

.product {
  border: 1px solid rgba(85, 242, 183, 0.2);
  overflow: hidden;
  border-radius: 5px;
  transition: background-color 0.5s;
  cursor: pointer;
}

.product:hover {
  background-color: rgba(255, 255, 255, 0.02);
}

.product .buyButton {
  width: fit-content;
}

.containerImg {
  width: 250px;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10px 0;
}

.productImg {
  object-fit:scale-down;
  width: 100%;
  height: 100%;
  border-radius: 5px;
}

.productDeatials {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  color: #Fff;
  background-color: #181818;

}

.addCart {
  background-color: #55f2b7;
  border: 1px solid #55f2b7;
  color: #1d1e1e;
  width: 35px;
  height:35px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: background-color 0.5s, color 0.5s, border 0.5s;
}

.addCart:hover {
  background-color: transparent;
  color: #55f2b7;
  border-color: #55f2b7;
}

hr {
  border-color: rgba(85, 242, 183, 0.2);
}

.productTitle {
  font-weight: 600;
}

.productPrice { 
  margin: 10px 0;
  font-weight: 800;
}
.productPrice::before {
  content: "$";
}
/****************
    GALLERY
****************/
.gallery {
  background-color: #1d1e1e;
  height: auto;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
  padding: 100px 220px;
  justify-items: center;
  align-items: center;
  margin: auto;
}
.gallery img {
  border-radius: 5px;
}
.G-Details {
  position: relative;
}
.hoverGallery {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 0%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(29, 30, 30, 0.2);
  opacity: 0;
  transition: all 0.5s;
}

.hoverGallery i {
  font-size: 26px;
  color: #55f2b7;
}

.G-Details:hover .hoverGallery {
  opacity: 1;
  height: 100%;
}
/****************
    CONTACT
****************/
.contact {
  background-color: #181818;
  width: 100%;
  display: flex;
  position: relative;
}
.contact-form {
  width: 90%;
  background-color: #181818;
  padding: 30px 90px;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
}
.contact-form h1 {
  color: #Fff;
  font-size: 46px;
}
.contact-form p {
  color: #8c8c94;
  font-size: 14px;
  margin-bottom: 40px;
}

.contact-form input,
.contact-form textarea {
  width: calc(100% - 20px);
  margin-bottom: 20px;
  padding: 10px;
  border: 1px solid #ccc;
  outline: none;
  border-radius: 5px;
}
.contact-form input {
  height: 45px;
}
.contact-form .msg {
  height: 130px;
  resize: none;
}
.contact-form .btnSend {
  padding: 15px 60px;
  background-color: #55f2b7;
  color: #1d1e1e;
  border: none;
  outline: none;
  border-radius: 5px;
  cursor: pointer;
  font-weight: 700;
  transition: background-color 0.3s;
}

.contact-form .btnSend:hover {
  background-color: rgba(85, 242, 183, 0.7);
}

.contact-social {
  width: 10%;
  background-color: #55f2b7;
  display: flex;
  justify-content: space-evenly;
  align-items: flex-end;
  padding: 10px;
}

.contact-social a {
  text-decoration: none;
  color: #181818;
}
.contact-social i {
  font-size: 18px;
}
.contact-info {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  height: 80%;
  width: 30%;
  background-color: #1d1e1e;
}
.contact-info h2 {
  padding: 20px;
  font-size: 34px;
  color: #fff;
}
.contact-info .contact-details {
  margin: 20px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.contact-details i {
  font-size: 26px;
  color: #55f2b7;
  margin: 10px;
}
.contact-details span {
  font-size: 14px;
  color: #8c8c94;
}
/****************
    FOOTER
****************/
.footer {
  background-color: #141515;
  height: auto;
  color: #fff;
  padding: 10px;
  text-align: center;
  letter-spacing: 2px;
}

.footer a {
  text-decoration: none;
  color: #55f2b7;
}
.footer a:any-link {
  color: #55f2b7;
}
/****************
  SHOPPINGCART
****************/
.shopiingCart {
  display: none;
  position: fixed;
  top: 75px;
  right: 45px;
  z-index: 9999;
  background-color: #141515;
  width: 350px;
  height: 450px;
  border-radius: 5px;
}

.shopiingCart h1 {
  color: #Fff;
  text-align: center;
  margin: 10px;
  font-size: 22px;
}

.savedCart {
  display: flex;
  flex-direction: column;
  padding: 5px;
  height: 78%;
  overflow-x: hidden;
  overflow-y: auto;
}

.savedCart::-webkit-scrollbar {
  width: 0px;
}

.saveCart {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 10px 0;
  transition: background-color 0.5s;
  padding: 10px;
  border-radius: 10px;
}

.saveCart:hover {
  background-color: rgba(255, 255, 255, 0.02);
}

.savepImg {
  background-color: rgba(255, 255, 255, 0.2);
  padding: 5px;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.savepDetails {
  color: #fff;
  margin: 10px auto auto 20px;
}

.saveTitle {
  margin-bottom: 10px;
  font-size: 16px;
  font-weight: 900;
}

.savePrice {
  font-size: 14px;
  color: #8c8c94;
  font-weight: 700;
}

.saveDeleted {
  color: #fff;
  margin: 0 10px;
  font-size: 18px;
  transition: color 0.5s;
  cursor: pointer;
}

.saveDeleted:hover {
  color: rgba(255, 255, 255, 0.6);
}

.SumTotal {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
}

.SumTotal .total {
  color: #fff;
  font-size: 18px;
  font-weight: 800;
}

.SumTotal .buyNow {
  background-color: #55f2b7;
  padding: 5px 10px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.5s;
}

.SumTotal .buyNow:hover {
  background-color: rgba(85, 242, 183, 0.7);
}
/****************
  MEDIAQUEARY
****************/
@media (max-width: 1024px) {
  .sliderImg {
    width: auto;
    height: 400px;
  }
  
  .sliderTitle {
    font-size: 40px;
  }
  
  .sliderPrice {
    font-size: 25px;
  }
  .buyButton {
    padding: 10px 15px;
  }
  .products {
    grid-template-columns: repeat(3, 1fr);
  }
  .gallery {
    grid-template-columns: repeat(3, 1fr);
    padding: 100px;
  }
  .contact {
    height: auto;
  }
  .contact-form {
    width: 80%;
  }
  .contact-form h1 {
    font-size: 36px;
  }
  .contact-form p {
    font-size: 12px;
  }
  .contact-form input,
  .contact-form textarea {
    width: calc(100% - 80px);
  }
  .contact-form input {
    height: 45px;
  }
  .contact-form .btnSend {
    padding: 10px 40px;
  }
  .contact-social {
    width: 20%;
  }
  .contact-info h2 {
    font-size: 34px;
  }
  .contact-details i {
    font-size: 22px;
  }
  .contact-details span {
    font-size: 12px;
  }
  .footer {
    font-size: 14px;
  }
  .shopiingCart {
    display: none;
    position: fixed;
    top: 75px;
    right: 45px;
    z-index: 9999;
    background-color: #141515;
    width: 300px;
    height: 350px;
    border-radius: 5px;
  }
  .savedCart {
    height: 75%;
  }
  .saveTitle {
    font-size: 14px;
  }
  .savePrice {
    font-size: 12px;
  }
  .saveDeleted {
    font-size: 18px;
  }
  .SumTotal {
    height: 10%;
  }
  .SumTotal .total {
    font-size: 16px;
  }
  .SumTotal .buyNow {
    padding: 5px 10px;
    font-size: 14px;
  }
}
@media (max-width: 992px) {
  .gallery {
    padding: 100px 40px;
  }
}
@media (max-width: 810px) {
  .features {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
  .products {
    grid-template-columns: repeat(2, 1fr);
  }
  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 590px) {
  .slider {
    height: auto;
  }
  .sliderImg {
    height: 250px;
  }
  .sliderTitle {
    font-size: 28px;
  }
  .sliderPrice {
    font-size: 18px;
  }
  .buyButton {
    padding: 5px 15px;
    font-size: 12px;
  }
  .features {
    grid-template-columns: repeat(2, 1fr);
  }
  .contact {
    flex-direction: column;
  }
  .contact-form {
    width: 100%;
    padding: 10px;
  }
  .contact-form input,
  .contact-form textarea {
    width: 100%;
  }
  .contact-form .btnSend {
    width: 100px;
  }
  .contact-social {
    width: 100%;
  }
  .contact-info {
    display: none;
  }
}
@media (max-width: 525px) {
  .navTop {
    padding: 15px 20px;
  }
  .shopiingCart {
    top: 75px;
    right: 20px;
  }
  .products {
    grid-template-columns: repeat(1, 1fr);
  }
  .gallery {
    grid-template-columns: repeat(1, 1fr);
  }
}
@media (max-width: 375px) {
  .slider {
    padding: 20px 0;
  }
  .prev,
  .next {
    font-size: 14px;
  }
  .sliderImg {
    height: 150px;
  }
  .sliderTitle {
    font-size: 18px;
  }
  .sliderPrice {
    font-size: 14px;
  }
  .buyButton {
    padding: 5px 10px;
    font-size: 10px;
  }
  .features {
    grid-template-columns: repeat(1, 1fr);
  }
  .search {
    width: 80%;
    margin: auto;
  }
  .footer {
    font-size: 12px;
  }
  .shopiingCart {
    width: 250px;
  }
}